• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

alien5

  1. J

    Kiss FC to old for GUI?

    hello i went to adjust my rates on my Alien and when i hit connect on the Kiss page it says Warning Kiss firmware version is older than GUI can handle. My FC says V1.03 stamped on it and i just bought it a month ago and it has always connected fine in the past and not had any problems with it...